#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int m, s = 0, r = 0;
    cin >> m;
    int x[m],y[m];
    for(int i = 0; i < m; i++)
    {
        cin>> x[i] >> y[i];
    }
    for (int m1 = 0; m1 < m; m1++)
    {
        for(int i = 0; i <= m1; i++)
        {
            for(int k = 0; k <= m1; k++)
            {
                for (int t = 0; t <= m1; t++)
                {
                    r = r + abs(x[i] - x[t]) * abs(y[k] - y[t]);
                }
                if(s < r)
                {
                    s = r;
                }
                r = 0;
            }
        }
        cout << s % (1000000000+7) << endl;
    }
    return 0;
}